db_backend_mysql_statement Struct Reference

## Data Fields

db_backend_mysql_t * | backend_mysql
MYSQL_STMT * | statement
MYSQL_BIND * | mysql_bind_input
db_backend_mysql_bind_t * | bind_input
db_backend_mysql_bind_t * | bind_input_end
MYSQL_BIND * | mysql_bind_output
db_backend_mysql_bind_t * | bind_output
db_backend_mysql_bind_t * | bind_output_end
db_object_field_list_t * | object_field_list
int | fields
int | bound

## Detailed Description

The MySQL database backend specific data for statements.

Definition at line 90 of file db_backend_mysql.c.

## Field Documentation

## backend_mysql

db_backend_mysql_t* db_backend_mysql_statement::backend_mysql

Definition at line 91 of file db_backend_mysql.c.

## bind_input

db_backend_mysql_bind_t* db_backend_mysql_statement::bind_input

Definition at line 94 of file db_backend_mysql.c.

## bind_input_end

db_backend_mysql_bind_t* db_backend_mysql_statement::bind_input_end

Definition at line 95 of file db_backend_mysql.c.

## bind_output

db_backend_mysql_bind_t* db_backend_mysql_statement::bind_output

Definition at line 97 of file db_backend_mysql.c.

## bind_output_end

db_backend_mysql_bind_t* db_backend_mysql_statement::bind_output_end

Definition at line 98 of file db_backend_mysql.c.

## bound

int db_backend_mysql_statement::bound

Definition at line 101 of file db_backend_mysql.c.

## fields

int db_backend_mysql_statement::fields

Definition at line 100 of file db_backend_mysql.c.

## mysql_bind_input

MYSQL_BIND* db_backend_mysql_statement::mysql_bind_input

Definition at line 93 of file db_backend_mysql.c.

## mysql_bind_output

MYSQL_BIND* db_backend_mysql_statement::mysql_bind_output

Definition at line 96 of file db_backend_mysql.c.

## object_field_list

db_object_field_list_t* db_backend_mysql_statement::object_field_list

Definition at line 99 of file db_backend_mysql.c.

## statement

MYSQL_STMT* db_backend_mysql_statement::statement

Definition at line 92 of file db_backend_mysql.c.

The documentation for this struct was generated from the following file:

- src/db/db_backend_mysql.c